Docs Native format /minimax/v1/files
API reference

Upload forked audio

Files that need to be uploaded. Fill in the path address of the file Files that support uploading must comply with the following specifications: The uploaded audio file format must be: mp3, m4a, wav format The duration…

POST/minimax/v1/files

Body Parametersmultipart/form-data

purpose* string

voice_clone

file* string · binary

Select audio file (mp3/m4a/wav)

Responses

200 application/json
response-200 object
properties
base_resp* object

Underlying service response wrapper (status code / message)

file* object

File object or file field

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example Upload forked audio
1{
2"purpose": "voice_clone"
3}
Code Sample cURL
1curl -X POST "https://api.digislash.com/minimax/v1/files" \
2-H "Authorization: Bearer <API Key>" \
3-F "purpose=voice_clone" \
4-F "file=@/path/to/file"
Response
1▼{
2▼"file": {
3"file_id": "${file_id}",
4"bytes": 5896337,
5"created_at": 1700469398,
6"filename": "复刻音频",
7"purpose": "voice_clone"
8},
9▼"base_resp": {
10"status_code": 0,
11"status_msg": "success"
12}
13}